﻿.form-control {
    background: none !important;
    box-shadow: unset !important;
    border-radius: 10px !important;
    /* padding: 5px 10px;
    font-size: 1rem;
    background-image: url(/img/icon/icons8-weekend-48.png) !important;
    background-repeat: no-repeat !important;
    background-position: right 10px center;
    background-size: 20px !important;*/
}
.form-control:focus {
    background: none !important;
    box-shadow: unset !important;
    border-radius: 0 !important;
    border: 1px solid #8fb4d3 !important;
}
.datetimepicker.form-control {
    background-image: url(/img/icon/icons8-weekend-48.png) !important;
    background-repeat: no-repeat !important;
    background-position: right 5px center !important;
    background-size: 20px !important;
}
.datetimepicker_icon.form-control {
    background-image: url(/img/icon/icons8-weekend-48.png) !important;
    background-repeat: no-repeat !important;
    background-position: right 5px center !important;
    background-size: 20px !important;
}
.datetimepicker_icon.form-control:focus {
    background-image: url(/img/icon/icons8-weekend-48.png) !important;
    background-repeat: no-repeat !important;
    background-position: right 5px center !important;
    background-size: 20px !important;
}
.flatpickr-calendar.arrowTop:before, .flatpickr-calendar.arrowTop:after {
    /*bottom: 0% !important;*/
    all: unset !important;
}
/*.flatpickr-calendar.animate.open {
    border-radius: 0 !important;
}*/
.flatpickr-calendar {
    font-size: 1rem !important;
    background-color: #d1dfe9;
    border: 2px solid #8fb4d3 !important;
    border-radius:5px !important;
    width: 310px !important
    /*max-width: 313px;*/
}
.flatpickr-weekday {
    color: #8fb4d3 !important;
}
.flatpickr-prev-month svg, .flatpickr-next-month svg {
    display: none;
}
.dayContainer {
    border-top: 1px solid #8fb4d3 !important;
    border-bottom: 1px solid #8fb4d3 !important;
}
span.flatpickr-day, span.flatpickr-day.prevMonthDay{
    border: 1px solid #8fb4d3 !important;
  /*  border-right-color: transparent !important;
    border-left: 0;*/
}
.flatpickr-button.btnTodayCustom {
    margin: 10px 20px;
    background-color: #5DCF8D;
    /*border-color: #418ac7;*/
    color: white;
    border-radius: 5px;
    border: none
}
.flatpickr-day.selected {
    background: #5496cd !important;
}
.flatpickr-day:hover {
    background-color: #fffadf !important;
    color:black !important;
}
span.flatpickr-day.today:not(.selected) {
    background-color: #5DCF8D;
    color:white;
}
.flatpickr-day {
    /*color: #8fb4d3 !important;*/
}
.flatpickr-button.btnClearCustom {
    margin: 10px 20px;
    background-color: #CF5D5D;
    /*border-color: #418ac7;*/
    color: white;
    border-radius: 5px;
    border: none
}
.flatpickr-prev-month {
    background-color: #5496cd;
    background-image: url(/img/icon/icons8-back-64.png);
    background-size: cover;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: right 15px center;
    padding: 17px;
    width: 45px;
    margin-top: 3px;
    margin-left: 4px;
    border-radius: 5px;
}
.flatpickr-next-month {
    background-color: #5496cd;
    background-image: url(/img/icon/icons8-net-64.png);
    background-size: cover;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: right 10px center;
    padding: 17px;
    width: 45px;
    margin-top: 3px;
    margin-right: 4px;
    border-radius: 5px;
}
.flatpickr-month{
    height:38px !important;
    position:static !important;
    z-index: 1 !important;
}
    /*.flatpickr-month*/
    .flatpickr-current-month {
        display: flex !important;
        justify-content: center !important;
        gap: 8px !important;
        padding-top: 3.5px !important;
    }
.flatpickr-monthDropdown-months {
    -webkit-appearance: none !important;
    cursor: pointer !important;
    text-align: start;
    /*border: .0625rem solid #bfbfbf !important;*/
    width: 115px !important;
    height: 34px !important;
    background-image: url(/img/icon/icons8-down-select-64.png) !important;
    background-position: right 10px center !important;
    background-repeat: no-repeat !important;
    background-size: 16px 16px !important;
    background-color: #5496cd !important;
    border-radius: 5px !important;
    font-size: 1rem !important;
    color:white !important
    /*padding-right: 30px !important;*/
}
.numInputWrapper {
    background-color: #5496cd !important;
    border-radius: 5px !important;
    font-size: 1rem !important;
    color: white !important;
    height: 34px !important;
    margin-top:-1px;
    width:60px !important;
}
.numInput.cur-year {
    margin-top: 15% !important;
}
/*.flatpickr-day, .flatpickr-weekday {
    padding: 5px;*/ /* Giảm khoảng cách ngày */
    /*width: 25px;
    height: 25px;
}

.flatpickr-month {
    font-size: 12px;
    padding: 2px 0;
}
.flatpickr-prev-month, .flatpickr-next-month {
    width: 18px;
    height: 18px;
}
.flatpickr-day {
    width: 24px;
    height: 27px !important;
    line-height: 24px !important;
    padding: 2px !important;
}
.flatpickr-days {
    padding: 2px !important;
}*/
